summaryrefslogtreecommitdiffstats
path: root/games/tuxnes/tuxnes.SlackBuild
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 20:00:34 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:34 +0200
commit8f315ce5242a2da9eb89dd774efe5c9c092ed92c (patch)
tree77f292684223e06b19ce5d24cc467c80cd47e6b2 /games/tuxnes/tuxnes.SlackBuild
parent736127208b974ffc401c7b6d74e59dd3c4068751 (diff)
downloadslackbuilds-8f315ce5242a2da9eb89dd774efe5c9c092ed92c.tar.gz
slackbuilds-8f315ce5242a2da9eb89dd774efe5c9c092ed92c.tar.xz
games/tuxnes: Added to 12.0 repository
Diffstat (limited to 'games/tuxnes/tuxnes.SlackBuild')
-rw-r--r--games/tuxnes/tuxnes.SlackBuild95
1 files changed, 95 insertions, 0 deletions
diff --git a/games/tuxnes/tuxnes.SlackBuild b/games/tuxnes/tuxnes.SlackBuild
new file mode 100644
index 0000000000..15c8270c44
--- /dev/null
+++ b/games/tuxnes/tuxnes.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for tuxnes
+# Written by Kyle Guinn <elyk03@gmail.com>
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=tuxnes
+VERSION=0.75
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# __FUNCTION__ is now a variable instead of a static string/macro in GCC 3.4+.
+# Replace __FUNCTION__ with the actual function names where it appears.
+patch -p0 < $CWD/emu.c.patch
+
+# Regenerate the build system so that it will support $CFLAGS.
+patch -p0 < $CWD/configure.in.patch
+rm acconfig.h install-sh missing mkinstalldirs
+aclocal
+autoheader
+automake -a
+autoconf
+
+CFLAGS="$SLKCFLAGS -fno-strict-aliasing" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-x
+
+make
+make install-strip DESTDIR=$PKG
+
+# If the gtuxnes source tarball exists, install that too.
+# http://www.sourcefiles.org/Emulators/Videogames/gtuxnes-0.75.tar.gz
+( cd $TMP
+ PRGNAM=gtuxnes
+ VERSION=0.75
+ if [ -e $CWD/$PRGNAM-$VERSION.tar.gz ]; then
+ rm -rf $PRGNAM-$VERSION
+ tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+ cd $PRGNAM-$VERSION
+ chown -R root:root .
+ chmod -R u+w,go+r-w,a-s .
+
+ # Patch the Makefile to support $CFLAGS
+ patch -p0 < $CWD/Makefile.patch
+ CFLAGS="$SLKCFLAGS" make
+ cp gtuxnes $PKG/usr/bin
+ chown root:root $PKG/usr/bin/gtuxnes
+ chmod 0755 $PKG/usr/bin/gtuxnes
+
+ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+ cp -a AUTHORS CHANGES COPYING INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+ fi
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS CHANGES COPYING ChangeLog INSTALL* NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz